package com.lightinit.hsdatashow.service.admin;

import com.lightinit.hsdatashow.model.admin.*;

import java.util.List;

public interface IPeopleGrowthService {
    GroupNameAndValueModel getLifetime();

    AverageExpectedRateResultModel getExpectedRate();

    GroupNameAndValueModel getDependencyRatio();

    PopulationSummaryListModel getPopulationSummary();

    AgeStructureReturnModel getAgeStructure();

    List<PopulationRegionResultModel> getPopulationRegion();

    GroupNameAndValueModel getPopulationRegionPicture();
}
